cURL
curl --request POST \ --url https://{subdomain}.nudj.cx/api/v2/integration/rewards/{rewardId}/purchase \ --header 'Content-Type: application/json' \ --header 'x-api-token: <api-key>' \ --data ' { "amount": 1, "nonce": "<string>", "communityId": "<string>" } '
{ "success": true, "rewardEntryId": "<string>", "assetIds": [ "<string>" ] }
Purchase entries or assets for a reward using points.
Documentation IndexFetch the complete documentation index at: https://docs.nudj.cx/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.nudj.cx/llms.txt
Use this file to discover all available pages before exploring further.
1
x > 0
Optional communityId to track which community the purchase was made from. Used for cross-community rewards.
Successful response
Was this page helpful?